Hi there,
I’m struggling try to sweep the red curve through the blue one using Rhinocommon
using rhino command “sweep1” is working fine
but when using rhinocommon, the result is this:
brep = rg.Brep.CreateFromSweep(c.ToNurbsCurve(),arrCrv,
rg.Point3d.Unset,
rg.Point3d.Unset,
rg.SweepFrame.Freeform,
rg.Vector3d.Unset,
False,
Rhino.Geometry.SweepBlend.Local,
Rhino.Geometry.SweepMiter.Untrimmed,
Rhino.RhinoDoc.ActiveDoc.ModelAbsoluteTolerance*1,
Rhino.Geometry.SweepRebuild.None,
0,0)
if passing SweepMiter as “Trimmed”, instead of “Untrimmed”, the result for that particular case works fine, but then other problem arises with other curves I need to sweep, wich by the way is the same problematic behaviour I have found in an example share by @dale in other place in the forum.
As shown in the image above, now the corner is neatly solved, but as shown below new problems arises sweeping other curves, that before were solved fine
So basically, for some conditions sweepMiter.Untrimmed is the way to go, while in other conditions sweppMiter.Trimed is the solution, and I definitely don’t understand the logic behind.